Issue1731

classification
Title: Please deploy version 2.5.2 to Maven repository
Type: Severity: normal
Components: Any Versions: 2.5.1, 2.5b1, 2.5.2b1, 2.5.2rc
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: forman, fwierzbicki, tuska
Priority: high Keywords:

Created on 2011-04-11.11:00:29 by forman, last changed 2012-08-08.22:48:00 by fwierzbicki.

Messages
msg6478 (view) Author: Norman Fomferra (forman) Date: 2011-04-11.11:00:29
Please deploy version 2.5.1 and 2.5.2 to a public Maven repository. The last available artifact version is 2.5.0, but this one doesn't have the JSR 223 support, Scripting for the Java language, bundled in its jython.jar.
msg7263 (view) Author: Thomas Mortagne (tuska) Date: 2012-06-27.12:33:03
Yes it would be very nice to have Jython always up to date on Maven central. Would make it a lot easier to use.

It also blocking me for putting on central a project which depends on Jython.
msg7269 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-06-27.19:31:32
I'm not a maven user, so it probably doesn't make sense for me to be in charge of pushing to maven. I'd love to help someone who is a maven user get Jython up to date in the public Maven repositories. What can I do to help? Note that for 2.7 Toby Crawley has submitted a better maven build experience for us -- see #1922 and #1923 for details.
msg7271 (view) Author: Thomas Mortagne (tuska) Date: 2012-06-28.09:22:16
I think the first thing to be clean is to produce a jar in which all the Jython dependencies are not bundled (can be used to produce what is the current jython.jar from it). Then add the dependencies to the Maven pom.xml.
msg7357 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-08-08.22:48:00
The 2.5.3rc1 release is hosted on maven as will all future releases - see the 2.5.3rc1 announcement for links: http://fwierzbicki.blogspot.com/2012/08/jython-253rc1-released.html
History
Date User Action Args
2012-08-08 22:48:00fwierzbickisetstatus: open -> closed
priority: normal -> high
resolution: fixed
messages: + msg7357
assignee: fwierzbicki
2012-06-28 09:22:17tuskasetmessages: + msg7271
2012-06-27 19:31:33fwierzbickisetpriority: normal
nosy: + fwierzbicki
messages: + msg7269
2012-06-27 12:33:03tuskasetnosy: + tuska
messages: + msg7263
2011-04-11 11:00:29formancreate